Bug 175147 - Issue redirect requests in hosted
Issue redirect requests in hosted
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn400
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 18:08 EST by Jason Connor
Modified: 2014-03-30 21:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 11:46:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Connor 2005-12-06 18:08:02 EST
Take an incoming GET request and check if the content is available from the edge
network. If not start the download.

If it is, issue an HTTP 302 redirect request to the client specifying the edge
network URL.
Comment 1 Pradeep Kilambi 2006-01-12 15:29:02 EST
Set Up:
1. Fixed the up2date client(rlx-2-04)bug for the 302 redirect with misa's help.

2. wrote queries to extract package redirect location with respect to pkg_id
from the Location tables(rhnLocation, rhnPackageLocation & rhnPackage).

3.wrote a wrapper function which gets the package remote location path querying
the db.If not available returns empty string. 

4. Included the 302 code and included the redirect logic in the apacheRequest
where it check for the availabllity of the package in the location table and if
available, issues redirect request to the dummy http serevr(Akamai).Otherwise
downloads the package from hosted(satellite as hosted).

5.Client Successfully downloads package from Https server(Akamai) afetr being
redirected by the Hosted to Akamai.

Conclusion:
- Hosted receives the GET request from the client.
- checks if the pkg available on edge network url(Akamai)[queries db]
- if not,downloads pkg.
- else issues a 302 redirect request to client with redirect path as Akamai.
- Client now issues GET to akamai,checks SSL Cert handshake
- finally downloads the package from Akamai.

Comment 2 Beth Nackashi 2006-04-22 16:18:34 EDT
bperkins will be the QA contact for ISO/package redirect when (if?) it is
implemented
Comment 3 Amanda Carter 2008-10-15 11:46:22 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.